// pages/validate/validate.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    chosenType:-1,
    TCID:'7003'
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    if (options.TCID) {
      this.setData({
        TCID: options.TCID
      })
    }
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },
  goToNextValidate: function () {
    if (this.data.chosenType!=-1){
      wx.navigateTo({
        url: '/pages/validateForm/allPerson?type=' + this.data.chosenType,
      })
    }else{
      wx.showToast({
        title: '请选择验证方式',
        icon: 'none',
        duration: 2000
      })
    }
  },
  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  changeChosenType: function(e){
    console.log(e.currentTarget.dataset.type)
    this.setData({
      chosenType: e.currentTarget.dataset.type
    });
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})